﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using System.Text;
using Infragistics.Controls.Editors;

namespace xamGrid1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void xamMaskedEditor_Loaded(object sender, RoutedEventArgs e)
        {
            DependencyObject dob = sender as DependencyObject;
            while (dob != null && dob.GetType() != typeof(XamGrid))
            {
                dob = VisualTreeHelper.GetParent(dob);
            }

            if (dob != null)
            {
                XamGrid grid = dob as XamGrid;
                int maxLength = ((ViewModel1)grid.DataContext).MaxLength;
                StringBuilder mask = new StringBuilder();
                for (int i = 0; i < maxLength; i++)
                {
                    mask.Append("C");
                }
                ((XamMaskedEditor)sender).Mask = mask.ToString();
                ((XamMaskedEditor)sender).Value = ((Product)((((XamMaskedEditor)sender)).DataContext)).ProductName;
            }
        }
    }
}
